Package org.apache.ignite.internal.processors.continuous

## Class StartRoutineDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StartRoutineDiscoveryMessage

All Implemented Interfaces:
  `Serializable`, `DiscoveryCustomMessage`

    public class StartRoutineDiscoveryMessage
    extends AbstractContinuousMessage

Discovery message used for Continuous Query registration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Constructor Summary

Constructors
`StartRoutineDiscoveryMessage​(UUID routineId, org.apache.ignite.internal.processors.continuous.StartRequestData startReqData, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`void` `addError​(UUID nodeId, IgniteCheckedException e)`
`void` `addUpdateCounters​(UUID nodeId, Map<Integer,​T2<Long,​Long>> cntrs)`
`@Nullable ClassNotFoundException` `deserializationException()`
`Map<UUID,​IgniteCheckedException>` `errs()`
`boolean` `isMutable()`
`boolean` `keepBinary()`
`org.apache.ignite.internal.processors.continuous.StartRequestData` `startRequestData()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`createDiscoCache, id, routineId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.managers.discovery.DiscoveryCustomMessage

`stopProcess`

### Constructor Detail

#### StartRoutineDiscoveryMessage

    public StartRoutineDiscoveryMessage​(UUID routineId,
                                        org.apache.ignite.internal.processors.continuous.StartRequestData startReqData,
                                        boolean keepBinary)

Parameters:
  `routineId` - Routine id.
  `startReqData` - Start request data.

### Method Detail

#### startRequestData

    public org.apache.ignite.internal.processors.continuous.StartRequestData startRequestData()

Returns:
  Start request data.

#### addError

    public void addError​(UUID nodeId,
                         IgniteCheckedException e)

Parameters:
  `nodeId` - Node id.
  `e` - Exception.

#### addUpdateCounters

    public void addUpdateCounters​(UUID nodeId,
                                  Map<Integer,​T2<Long,​Long>> cntrs)

Parameters:
  `nodeId` - Local node ID.
  `cntrs` - Update counters.

#### errs

    public Map<UUID,​IgniteCheckedException> errs()

Returns:
  Errs.

#### keepBinary

    public boolean keepBinary()

Returns:
  `True` if keep binary flag was set on continuous handler.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Overrides:
  `isMutable` in class `AbstractContinuousMessage`
Returns:
  `True` if message can be modified during listener notification. Changes will be sent to next nodes.

#### ackMessage

    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### deserializationException

    @Nullable
    public @Nullable ClassNotFoundException deserializationException()

Returns:
  Exception occurred during deserialization.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`